#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/times.h>
#include <signal.h>
#include <time.h>
#include <sys/time.h>

#include "riscos.h"
#include "module-fpemulator.h"

bool FPEmulator::SWI (unsigned int swinum, bool xbit)
{
  switch (swinum)
    {
    case FPEmulator_Version: Version (); break;
    default:
      return false;
      break;
    }
  return true;
}

void FPEmulator::Version (void)
{
  WRITE_REG (0, ((version_major * 100) + version_minor));
}

